Bug 18113

Summary: XslCompiledTransform does not handle whitespace in value-of elements correctly
Product: [Mono] Class Libraries Reporter: daspits
Component: System.XMLAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: eb1, lexas, mono-bugs+mono
Priority: ---    
Version: 2.10.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: Patch file

Description daspits 2014-03-02 22:01:09 UTC
Created attachment 6191 [details]
Patch file

When "XslCompiledTransform" is loading a stylesheet that contains "value-of" elements with insignificant whitespace, it gets into a bad state causing the stylesheet to load incorrectly. For example, "<xsl:value-of select="."> </xsl:value-of>" would cause the problem.

I have attached a possible fix.
Comment 1 eb1 2014-03-17 11:33:05 UTC
Suggested fix in PR #961.
Comment 2 Alexis Christoforides 2014-04-28 18:22:01 UTC
The fix pull request was merged to master, commit
2d2d90eeb291ad41f5e0ddadfbe63f1677ca1f48.